libpg_query 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1359201 漏洞类型 资源管理错误
发布时间 2018-10-19 更新时间 2019-10-23
CVE编号 CVE-2018-18482 CNNVD-ID CNNVD-201810-1040
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201810-1040
|漏洞详情
libpg_query是一款用于访问服务器外部的PostgreSQL解析器的C语言库。 libpg_query 10-1.0.2版本中的pg_query_parse.c文件的‘pg_query_raw_parse’函数存在内存泄露漏洞。攻击者可利用该漏洞造成拒绝服务。
|参考资料

来源:github.com

链接:https://github.com/lfittl/libpg_query/issues/49